<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">Пополнение счёта через RuRu</xsl:template>

<xsl:template name="head">
	<xsl:text disable-output-escaping="yes">
		<![CDATA[ ]]>
	</xsl:text>
</xsl:template>

<xsl:template match="/data">
	<xsl:call-template name="PayList"/>
</xsl:template>

<xsl:template name="PayList">
	
	<div class="bgMonthAndYearWidget">
		<xsl:attribute name="month"><xsl:value-of select="/data/month/text()"/></xsl:attribute>
		<xsl:attribute name="year"><xsl:value-of select="/data/year/text()"/></xsl:attribute>
		<xsl:attribute name="query"><xsl:value-of select="$WEBEXECUTER"/>?action=<xsl:value-of select="/data/@action"/>&amp;module=<xsl:value-of select="/data/@module"/>&amp;mid=<xsl:value-of select="/data/@mid"/></xsl:attribute></div>
	
	<table class="table800">
		<thead>
			<tr>
				<td>Номер</td>
				<td>Заказ</td>
				<td>Дата/время оплаты</td>
				<td>Сумма</td>
				<td>Статус операции</td>
			</tr>
		</thead>
		<tbody>	 		
		  	<xsl:for-each select="payments/data/item">	  				
			<tr>	
				<xsl:attribute name="class">
					<xsl:choose>
		  				<xsl:when test="@status='NEW'">row_status_process</xsl:when>
		  				<xsl:when test="@status='OK'">row_status_ok</xsl:when>
		  				<xsl:when test="@status='FAIL'">row_status_fail</xsl:when>
		  			</xsl:choose>
				</xsl:attribute>
		
				<td nowrap="nowrap"><xsl:value-of select="@id"/></td>
				<td nowrap="nowrap"><xsl:value-of select="@order"/></td>
				<td><xsl:value-of select="@date"/></td>
				<td nowrap="nowrap"><xsl:value-of select="@sum"/></td>
				<td>
					<xsl:value-of select="@statusString"/>
		  			<xsl:if test="@cancelReasonString">
		  				(
		  				<xsl:value-of select="@cancelReasonString"/>
		  				)
		  			</xsl:if>
		  		</td>
			</tr>
		  	</xsl:for-each>
		  	<xsl:if test="count(payments/data/item) = 0">
		  		<tr><td colspan="5"><i>Записи не найдены</i></td></tr>
		  	</xsl:if>
		</tbody>
	</table>
	
	<script type="text/javascript" src="{action_url/text()}/get_script/{partner_id/text()}/{service_id/text()}"></script>
	
	<div id="ruruDiv" style="margin: 5px 0px;"></div>
	
	<script type="text/javascript">
		var ruruButton = new ruruButton();

		ruruButton.setAmount( 0 );
		ruruButton.setOrder( '<xsl:value-of select="order/text()"/>' );

		ruruButton.setTitle('Пополнить счёт');
		ruruButton.setWidth(750);
		ruruButton.setHeight(550);

		ruruButton.setHash('<xsl:value-of select="hash/text()"/>');

		ruruButton.setQS();
	</script>

</xsl:template>

</xsl:stylesheet>
